%global project_owner MapServer
%global project_name mapcache

Name:           mapcache
Version:        1.14.0
Release:        0%{?dist}
Summary:        Caching server for WMS layers
Group:          Development/Tools
%global dashver %(echo %version | sed 's|\\.|-|g')

License:        MIT
URL:            http://mapserver.org/trunk/en/mapcache/

Source:         https://github.com/%{project_owner}/%{project_name}/releases/download/rel-%{dashver}/mapcache-%{version}.tar.gz

Requires:       httpd


BuildRequires: chrpath
BuildRequires: cmake
BuildRequires: fcgi-devel
BuildRequires: gcc
BuildRequires: gdal-devel
BuildRequires: geos-devel
BuildRequires: httpd-devel
BuildRequires: libcurl-devel
BuildRequires: libjpeg-turbo-devel
BuildRequires: libmemcached-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: pixman-devel
BuildRequires: proj-devel
BuildRequires: sqlite-devel
	
%global _description %{expand:
MapCache is a server that implements tile caching to speed up access to WMS layers.  
The primary objectives are to be fast and easily deployable, while offering the  
essential features (and more!) expected from a tile caching solution.}

%description %{_description}

%package devel
Summary: Development files for mapcache

%description devel %{_description}
Development files for mapcache; these files are needed when building binary packages
against libmapcache.

%prep
%autosetup

%build
#%cmake -DWITH_MEMCACHE=1 -DCMAKE_SKIP_BUILD_RPATH=TRUE . 
%cmake -DCMAKE_INSTALL_LIBDIR=%{_lib} -DWITH_MEMCACHE=1 -DCMAKE_SKIP_BUILD_RPATH=TRUE . 
%cmake_build

%install
%cmake_install

for f in \
  %{buildroot}%{_bindir}/{mapcache_seed,mapcache.fcgi,mapcache_detail} \
  %{buildroot}%{_libdir}/libmapcache.so* \
  %{buildroot}%{_libdir}/httpd/modules/mod_mapcache.so;
do
 chrpath --delete $f 
done

# NOTE(neil): 2024-03-06 - Upstream tests require running httpd and loading module -- out of scope for %check but can (read: should) be implemented in tmt/zuul.

%files
%doc INSTALL.md README.md LICENSE.md  
%{_bindir}/mapcache.fcgi
%{_bindir}/mapcache_detail
%{_bindir}/mapcache_seed
%{_libdir}/libmapcache.so.%{version}
%{_libdir}/libmapcache.so.1
%{_libdir}/httpd/modules/mod_mapcache.so

%files devel
%{_libdir}/libmapcache.so

%changelog
* Thu Feb 29 2024 Neil Hanlon <neil@shrug.pw>
- Initial package
